fastNLP.core.callbacks package
==============================

.. automodule:: fastNLP.core.callbacks
   :members:
   :undoc-members:
   :show-inheritance:

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   fastNLP.core.callbacks.torch_callbacks

Submodules
----------

.. toctree::
   :maxdepth: 4

   fastNLP.core.callbacks.callback
   fastNLP.core.callbacks.callback_event
   fastNLP.core.callbacks.callback_manager
   fastNLP.core.callbacks.checkpoint_callback
   fastNLP.core.callbacks.early_stop_callback
   fastNLP.core.callbacks.fitlog_callback
   fastNLP.core.callbacks.has_monitor_callback
   fastNLP.core.callbacks.load_best_model_callback
   fastNLP.core.callbacks.lr_scheduler_callback
   fastNLP.core.callbacks.more_evaluate_callback
   fastNLP.core.callbacks.progress_callback
   fastNLP.core.callbacks.timer_callback
   fastNLP.core.callbacks.topk_saver
   fastNLP.core.callbacks.utils
